#include <iostream>
#include <vector>
using namespace std;

bool check(vector<vector<char>> a, int i, int j, char v) {
	for (int j_1 = 0; j_1 < j; j_1++) {
		if (a[j_1][i] == v) {
			for (int i_1 = 0; i_1 < i; i_1++) {
				if (a[j_1][i_1] == v) {
					if (a[j][i_1] == v) return false;
				}
			}
		}
	}
	return true;
}

bool solve_2(vector<vector<char>> v, int n, int m) {
	bool res;
	int j, i;
	for (j = 0; j < n; j++) {
		for (i = 0; i < m; i++) {
			if (v[j][i] == '0') {
				if (check(v, i, j, '1')) {
					v[j][i] = '1';
					res = solve_2(v, n ,m);
					if (res) return true;
					v[j][i] = '0';
				}
			}
			if (v[j][i] == '0') {
				if (check(v, i, j, '2')) {
					v[j][i] = '2';
					res = solve_2(v, n ,m);
					if (res) return true;
					v[j][i] = '0';
				}
			}
			if (v[j][i] == '0') return false;
		}
	}
	for (j = 0; j < n - 1; j++) {
		for (i = 0; i < m - 1; i++) {
			cout << v[j][i] << ' ';
		}
		cout << v[j][m - 1] << '\n';
	}
	for (i = 0; i < m - 1; i++) {
			cout << v[n - 1][i] << ' ';
		}
		cout << v[n - 1][m - 1];
	return true;
}

bool solve_3(vector<vector<char>> v, int n, int m) {
	bool res;
	int j, i;
	for (j = 0; j < n; j++) {
		for (i = 0; i < m; i++) {
			if (v[j][i] == '0') {
				if (check(v, i, j, '1')) {
					v[j][i] = '1';
					res = solve_3(v, n ,m);
					if (res) return true;
					v[j][i] = '0';
				}
			}
			if (v[j][i] == '0') {
				if (check(v, i, j, '2')) {
					v[j][i] = '2';
					res = solve_3(v, n ,m);
					if (res) return true;
					v[j][i] = '0';
				}
			}
			if (v[j][i] == '0') {
				if (check(v, i, j, '3')) {
					v[j][i] = '3';
					res = solve_3(v, n ,m);
					if (res) return true;
					v[j][i] = '3';
				}
			}
			if (v[j][i] == '0') return false;
		}
	}
	for (j = 0; j < n - 1; j++) {
		for (i = 0; i < m - 1; i++) {
			cout << v[j][i] << ' ';
		}
		cout << v[j][m - 1] << '\n';
	}
	for (i = 0; i < m - 1; i++) {
			cout << v[n - 1][i] << ' ';
		}
		cout << v[n - 1][m - 1];
	return true;
}


int main() {
	vector<vector<char>> v;
	vector<char> cur;
	int n, m, c, j, i;
	cin >> n >> m >> c;

	for (i = 0; i < m; i++) cur.push_back('0');
	for (j = 0; j < n; j++) v.push_back(cur);

	if (c == 2) {
		solve_2(v, n, m);
	}
	else solve_3(v, n, m);
}
